/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package cz.xelfi.quoridor.visidor;

import java.util.EventListener;

/** Channel referring back what happens in a {@link BoardPane}.
 *
 * @author Jaroslav Tulach <jtulach@netbeans.org>
 */
public interface BoardListener extends EventListener {
    /** Notifies listeners about a change in the {@link BoardPane}.
     * 
     * @param ev the event, usually next move applicable to the board
     */
    public void boardChanged(BoardEvent ev);
}
